DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# PutLine

Put a line in an image

## SYNOPSIS

`#include "dip_manipulation.h"`

dip_Error dip_PutLine ( in, out, cor, dimension )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

Put a line in an image. Put a line orthogonally in an image. The position of the line in the image is specified by the coordinates at which its left most pixel (`cor`) is be placed and on which dimension of the image, the dimension of the line maps (`dimension`). If `in` has a different type than `out`, it will be converted to the type of `out`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input Line Image
`dip_Image` | `out` | Output Image
`dip_IntegerArray` | `cor` | Coordinate in the image of the left most pixel of the line
`dip_int` | `dimension` | Dimension of the image on which the line's dimension maps

## SEE ALSO

`GetSlice`, `PutSlice`, `GetLine`